function [networkBusDependencies] = getNetworkBusDependencies(branch)


%numLines = max(CaseStudyData.lineData.branch(:,1));
numBuses = max(max(branch(:,[1 2])));

Adj_mat = sparse(branch(:,1), branch(:,2),1,numBuses,numBuses);
Adj_Tri = tril(Adj_mat + Adj_mat');
bg = biograph(Adj_Tri,[],'ShowArrows','off','ShowWeights','off','LayoutType','Radial');


for i=1:numBuses
    [~, path, ~] = shortestpath(bg, i,1);
    networkBusDependencies(i,path)=1;
end

end
